function [x,y] = bresenham(segment)
    x = [];
    y = [];
    x0 = segment(1);
    x1 = segment(3);
    y0 = segment(2);
    y1 = segment(4);
    dx = abs(x1-x0);
    dy = abs(y1-y0);
    sx = 1;
    sy = 1;
    if x0 >= x1
        sx = -sx;
    end
    if y0 >= y1
        sy = -sy;
    end
    err = dx-dy;
    ed = 1;
    if dx + dy ~= 0
        ed = sqrt(dx*dx+dy*dy);
    end

    while true
      x = [x x0];
      y = [y y0];
      e2 = err;
      x2 = x0;
      if 2*e2 >= -dx
         if sign(sx) * x0 >= sign(sx) * x1
             break;
         end
         if e2+dy < ed 
             x = [x x0];
             y = [y y0+sy];
         end
         err = err - dy; 
         x0 = x0 + sx; 
      end
      if 2*e2 <= dy
         if sign(sy) * y0 >= sign(sy) * y1
             break;
         end
         if dx-e2 < ed
             x = [x x2+sx];
             y = [y y0];
         end
         err = err + dx;
         y0 = y0 + sy;
      end
    end
end
    