function v_inf = computeLineInfinitePoint(line)
    % Compute one of the infinite point associated to a line. The second is -v_inf.
    % Note: line'*v_inf = 0
    % INPUT
    %   line  1x3 dual of a line ie [a b c] corresponds to the line ax+by+cz=0 where [x y z] is a 2D homogeneous
    %             point.
    % OUTPUT
    %   v_inf 1x3 infinite point associated to the line
    if abs(line(1)) > eps
        v_inf = [-line(2)/line(1) 1 0];
    elseif abs(line(2)) > eps
        v_inf = [1 -line(1)/line(2) 0];
    else
        v_inf = [0 0 0];
    end
end