function in_doubleWedge = isPointInDoubleWedge(pth, segment, accuracy)
    % Check whether a point is in a double-wedge
    % INPUT
    %   pth: 3x1 point
    %   segment: 1x4 dual of the double-wedge
    %   accuracy: uncertainty on the segment endpoints
    % OUTPUT
    %   in_doubleWedge: true f pth is in the dual of segment
    
    [doubleWedge, sepLine] = segmentToDoubleWedge(segment, accuracy);
    in_doubleWedge = false;
    for mSign = [-1 1]
        in_halfDoubleWedge = true;
        for iWedge=1:2
            in_halfDoubleWedge = in_halfDoubleWedge & dot(pth, mSign * doubleWedge(iWedge,:)) <= eps;
        end
        in_doubleWedge = in_doubleWedge | in_halfDoubleWedge;
    end
end
