function in_intersection = isPointInDoubleWedgesIntersection(pth, segments, noise)
    % Check whether a point is in the intersection of double wedges
    % INPUT
    %   pth: 3x1 point
    %   segments: nx4 list
    %   noise: (extremity uncertainty)
    % OUTPUT
    %   in_doubleWedge: true f pth is in the intersection of double wedges
    
    in_intersection = true;
    for iSegment=1:size(segments,1)
        segment = segments(iSegment, :);
        in_intersection = in_intersection & isPointInDoubleWedge(pth, segment, noise);
        if ~in_intersection
            return;
        end
    end
end