function isEqual=polygonsEqual(polys1, polys2)
    % Ensure two cell arrays of polygons contain the same polygons, whatever their orders in the cell arrays
    % INPUT
    %   polys1 cell array of polygons
    %   polys2 cell array of polygons
    % OUTPUT
    %   isEqual boolean indicating if all the polygons in polys2 were found in polys1 and vice versa.
    isEqual = norm(size(polys1) - size(polys2)) < eps;
    if ~isEqual
        return;
    end
    founds = [];
    for i=1:size(polys1, 2)
        for j=1:size(polys1, 2)
            if ~ismember(j, founds) &&  polygonEqual(polys1{i}, polys2{j})
                founds = [founds j];
                break;
            end
        end
    end
    isEqual = size(founds, 2) == size(polys1, 2);
end