% This script enables to test the function computeLineInfinitePoint
% The user can draw lines and then the double wedges are drawn with their intersection.

segmentsNb = input('Number of segments?');
segments = zeros(segmentsNb, 4);
accuracy = 8;

clf;
axis([1, 420, 1, 420]);
hold on;


% % -- Debug mode
% % segments = imageData.lines(imageData.vp_association==2,:);
% segmentsNb = size(segments,1);
% colorVec = colormap(hsv(segmentsNb));
% for i=1:segmentsNb
%     plot([segments(i,1) segments(i,3)], [segments(i,2) segments(i,4)], 'color', colorVec(i,:), 'LineWidth',3);
% end
% % -- End Debug mode

colorVec = colormap(hsv(segmentsNb));

for i=1:segmentsNb
    [x,y] = ginput(2);
    plot(x, y, 'color', colorVec(i,:), 'LineWidth',3);
    segments(i,:) = [x(1) y(1) x(2) y(2)];
end

polygons = doubleWedgesIntersection(segments, accuracy);

axis(bestPolygonsAxis([-10 10 -10 10], polygons));
% Display double wedges
for i=1:segmentsNb
    [doubleWedge, sepLine] = segmentToDoubleWedge(segments(i,:), accuracy);
    hline(doubleWedge(1,:), 'color', colorVec(i,:), 'LineStyle', '--', 'LineWidth',2);
    hline(doubleWedge(2,:), 'color', colorVec(i,:), 'LineStyle', '--', 'LineWidth',2);
end

% Display polygons
for i=1:size(polygons,2)
    poly = infinitePolygonAxisFit(polygons{i});
    plot(poly([1:end,1],1), poly([1:end,1],2), 'k', 'LineWidth',2);
end


hold off;
