function res = verifyDoubleWedgesIntersection(axes, resX, resY, segments, accuracy)
    % Brute force verification. A uniform sampling is taken.
    % We display a green dot when we are at the interior of the double wedge intersection, a red dot when we are
    % outside.
    x = linspace(axes(1), axes(2), resX);
    y = linspace(axes(3), axes(4), resY);
    res = zeros(resX, resY);
    for ix = 1:size(x, 2)
        for iy = 1:size(y, 2)
            res(ix, iy) = isPointInDoubleWedgesIntersection([x(ix) y(iy) 1], segments, accuracy);
        end
    end
end